{
    attributes = (
        {
            columnName = ANNEE_SCOLAIRE; 
            externalType = NUMBER; 
            name = anneeScolaire; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FORM_NIVEAU; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ANNEE_SUIVIE; }; 
            name = anneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FORM_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = codeSise; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = COMP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = compCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = FORM_DATE_INSCRIPTION; 
            externalType = DATE; 
            internalInfo = {_nameInObjectStore = DATE_INSCRIPTION; }; 
            name = dateInscription; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = FORM_ARRIVEE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = DIPL_ANNEE_MAXI; }; 
            name = diplAnneeMaxi; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FORM_TYPE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = diplType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = FORM_VOCATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = diplVocation; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FORM_ABREVIATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = DIPLOME; }; 
            name = diplome; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = ETAB_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = etabCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            definition = "nvl(form_grade,form_filiere)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FILIERE; }; 
            name = filiere; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = FORM_ECHELON; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = DIPLOME; }; 
            name = formEchelon; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = FORM_MENTION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE1; }; 
            name = formMention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FORM_SPECIALITE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE1; }; 
            name = formSpecialite; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FORM_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = LIBELLE_DIPL; }; 
            name = libelleDipl; 
            valueClassName = NSString; 
            width = 300; 
        }, 
        {
            columnName = NUMERO_HISTORIQUE; 
            externalType = NUMBER; 
            name = numeroHistorique; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FORM_SPECIALISATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE1; }; 
            name = specialite1; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_char(null)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = SPECIALITE2; }; 
            name = specialite2; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            definition = "DECODE(anneeSuivie,1,'\334re','\334me')"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = ANNEE_SUIVIE; }; 
            name = testClassement; 
            precision = 1; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = FORM_TYPE_INSCRIPTION; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = TYPE_INSCRIPTION; }; 
            name = typeInscription; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        idiplNumero, 
        numeroHistorique, 
        anneeScolaire, 
        typeInscription, 
        dateInscription, 
        anneeSuivie, 
        filiere, 
        diplome, 
        diplAnneeMaxi, 
        specialite1, 
        specialite2, 
        libelleDipl
    ); 
    className = EOGenericRecord; 
    classProperties = (
        idiplNumero, 
        numeroHistorique, 
        anneeScolaire, 
        typeInscription, 
        dateInscription, 
        anneeSuivie, 
        filiere, 
        diplAnneeMaxi, 
        specialite1, 
        specialite2, 
        diplome, 
        libelleDipl, 
        diplType, 
        diplVocation, 
        codeSise, 
        formEchelon, 
        testClassement, 
        formSpecialite, 
        formMention, 
        etabCode, 
        compCode, 
        toGrhumEtablissement, 
        toGrhumComposante
    ); 
    externalName = V_IDIPL_CARTE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = V_IDIPL_CARTE; }; 
    name = VIdiplCarte; 
    primaryKeyAttributes = (idiplNumero); 
    relationships = (
        {
            destination = GrhumComposante; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = compCode; }); 
            name = toGrhumComposante; 
        }, 
        {
            destination = GrhumComposante; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = etabCode; }); 
            name = toGrhumEtablissement; 
        }
    ); 
}
